Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JGenericType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType
          com.google.gwt.core.ext.typeinfo.JClassType
              com.google.gwt.core.ext.typeinfo.JRealClassType
                  com.google.gwt.core.ext.typeinfo.JGenericType

All Implemented Interfaces:
  HasAnnotations, HasMetaData, HasTypeParameters

    public class JGenericType

extends JRealClassType
implements HasTypeParameters

Type declaration that has type parameters.

Constructor Summary
`JGenericType(TypeOracle oracle, JPackage declaringPackage, JClassType enclosingType, boolean isLocalType, java.lang.String name, boolean isInterface, JTypeParameter[] jtypeParameters)`

Method Summary
`JClassType` | `getErasedType()`
`java.lang.String` | `getParameterizedQualifiedSourceName()`
`JRawType` | `getRawType()`
`JTypeParameter[]` | `getTypeParameters()` Returns the type parameters on this element.
`JGenericType` | `isGenericType()`
`java.lang.String` | `toString()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JRealClassType
`acceptSubtype, addAnnotations, addConstructor, addField, addImplementedInterface, addMetaData, addMethod, addModifierBits, addNestedType, findConstructor, findField, findMethod, findNestedType, findNestedTypeImpl, getAnnotation, getConstructor, getConstructors, getEnclosingType, getField, getFields, getImplementedInterfaces, getJNISignature, getMetaData, getMetaDataTags, getMethod, getMethods, getModifierBits, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getOverridableMethodsOnSuperclassesAndThisClass, getOverridableMethodsOnSuperinterfacesAndMaybeThisInterface, getPackage, getQualifiedSourceName, getSimpleSourceName, getSubtypes, getSuperclass, invalidate, isAbstract, isAnnotationPresent, isArray, isClass, isDefaultInstantiable, isEnum, isFinal, isInterface, isLocalType, isMemberType, isParameterized, isPrimitive, isPrivate, isProtected, isPublic, isRawType, isStatic, isWildcard, notifySuperTypesOf, removeSubtype, setSuperclass`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JClassType
`asParameterizationOf, getFlattenedSuperTypeHierarchy, isAssignableFrom, isAssignableTo, isMaybeParameterizedType, makeCompoundName`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JType
`getLeafType, isAnnotation, isClassOrInterface, isTypeParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JGenericType

    public JGenericType(TypeOracle oracle,
                        JPackage declaringPackage,
                        JClassType enclosingType,
                        boolean isLocalType,
                        java.lang.String name,
                        boolean isInterface,
                        JTypeParameter[] jtypeParameters)

Method Detail

### getErasedType

    public JClassType getErasedType()

  Overrides:
    `getErasedType` in class `JRealClassType`

### getParameterizedQualifiedSourceName

    public java.lang.String getParameterizedQualifiedSourceName()

  Overrides:
    `getParameterizedQualifiedSourceName` in class `JType`

### getRawType

    public JRawType getRawType()

### getTypeParameters

    public JTypeParameter[] getTypeParameters()

  Description copied from interface: `HasTypeParameters`
  Returns the type parameters on this element.

  Specified by:
    `getTypeParameters` in interface `HasTypeParameters`
  Returns:
    the type parameters on this element, or zero-sized array if this element is not generic

### isGenericType

    public JGenericType isGenericType()

  Overrides:
    `isGenericType` in class `JRealClassType`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JRealClassType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD